<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/parent"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:showIn="@layout/activity_leave_calender">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/custom_margin"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="@dimen/_12dp"
        app:cardElevation="@dimen/custom_margin">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="@dimen/appbar_padding_top"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tvHeader"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_margin="@dimen/custom_margin"
                android:text="@string/applied_approved_leave_details"
                android:textColor="@color/grayfor_login"
                android:textSize="@dimen/txt_size_14sp"
                android:textStyle="bold" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/leveRecyl"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/custom_margin"
                android:visibility="gone" />


            <TextView
                android:id="@+id/tvNodata"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_margin="@dimen/padding_10dp"
                android:gravity="center"
                android:text="@string/no_data_available"
                android:textColor="@color/red"
                android:textSize="@dimen/text_size_big"
                android:textStyle="bold"
                android:visibility="gone" />

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>